Sessions

List a visitor's session replays

GET/api/websites/{websiteId}/sessions/{sessionId}/replays

Returns a paginated, searchable list of recordings for the specified website session.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
websiteIdrequiredstringID of the website.
sessionIdrequiredstringID of the visitor session.

Query parameters

NameTypeDescription
startAtnumberStart of the date range as a Unix timestamp in milliseconds.
endAtnumberEnd of the date range as a Unix timestamp in milliseconds.
startDatestringStart of the date range as an ISO 8601 date or date-time.
endDatestringEnd of the date range as an ISO 8601 date or date-time.
timezonestringIANA time zone used to interpret dates and group results, for example America/New_York.
unitstringTime interval used to group results: minute, hour, day, month, or year.
compareenum<string>Comparison period: prev for the previous period or yoy for the same period last year.
Options: prev, yoy
pageintegerPage number, starting at 1.
pageSizeintegerNumber of results per page.
maxResultsintegerMaximum number of results to include.
searchstringSearch text used to filter results.

Responses

200The operation completed successfully.
NameTypeDescription
countrequirednumberNumber of matching records.
datarequiredobject[]Data returned by the operation.
isCappedbooleanWhether the results were truncated by the maximum result limit.
orderBystringField to sort the results by.
pagerequirednumberPage number, starting at 1.
pageSizerequirednumberNumber of results per page.
searchstringSearch text used to filter results.
sortDescendingbooleanWhether to sort results in descending order.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL